#espeak "opening terminal in $(pwd)"
figlet $(pwd)
#custom alias by HarilalAV
alias ..='cd ..'
alias sins='sudo apt install -y'
alias c='clear'
alias bye='init 0'
alias ...='cd../../'
alias ....='cd ../../..'
alias cal='bc -l'
alias h='history'
alias ip='ifconfig'
alias meminfo='free -m -l -t'
alias gh='history|grep'
alias count='find . -type f | wc -l'
#update
alias update='sudo apt update -y'
alias upgrade='sudo apt upgrade -y'
alias autorm='sudo apt autoremove -y'
#Django
alias py-venv='python3 -m venv venv'
alias va='source venv/bin/activate'
alias ..va='source ../../venv/bin/activate'
alias runserver='python manage.py runserver'
alias makemigrations='python manage.py makemigrations'
alias migrate='python manage.py migrate'
alias makemigrations='python manage.py makemigrations'
alias load-data='python manage.py loaddata initial_data user_groups permissions notification'
alias delete-migration='find . -path "*/migrations/*.py" -not -name "__init__.py" -delete && find . -path "*/migrations/*.pyc"  -delete'
alias make-r='pip freeze > r.txt'
alias r-ins='pip install -r r.txt'
alias migrate='python manage.py migrate'
alias createsuperuser='python manage.py createsuperuser'
alias pipins='pip install'
alias pipdjango='pip install django'
alias startproject='django-admin startproject'
alias startapp='python manage.py startapp'
#copy
alias cpv='rsync -ah --info=progress2'
#Git
alias gi='git init'
alias giac="git init && git add . && git commit -a -m "
alias gc='git commit -m'
alias gs='git status'
alias gl='git log'
alias gp='git push'
alias gcl='git clone'
#npm
alias ns='npm start'
alias crp='npx create-react-app'
alias nstart='npm start'
alias nins='npm install'
#youtube-dl
alias udown='youtube-dl -f bestvideo+bestaudio --merge-output-format mp4'
alias udown-pl='youtube-dl -cit'
alias udown-audio='youtube-dl -x --audio-format mp3'
